Skip to main content
GET
How a model version would be served

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

name
string
required

Registered model name.

Query Parameters

version
string | null

Model version, e.g. 3. Mutually exclusive with alias.

alias
string | null

Model alias, e.g. production. Mutually exclusive with version.

Response

Successful Response

What the Portal needs to know about a model version before publishing it.

model_name
string
required
resolved_version
string
required
flavors
string[]
required
serving_python
string
required
python_compatible
boolean
required
has_signature
boolean
required
engine
enum<string> | null

Engine the model would be served with; None if it can't be served.

Available options:
spark,
pyfunc
model_python
string | null
input_columns
string[] | null

Input column names from the model's signature, if it has a column-based one.

input_types
Input Types · object | null

MLflow type of each signature input column (for example double, string, boolean or datetime), if the model has a column-based signature.